{% extends "base.html" %}
{% load l10n alarme_utils client_utils %}

{% block title %}Factures du client{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'clients' %}">Clients</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ client }}</li>
{% endblock %}

{% block content %}
    <div class="row align-items-center">
        <div class="col-9"><h2>{{ client }} {% services_as_icons client 'alarme' 'p-2' %}</h2></div>
        <div class="col-3 text-end">
            <button type="button" class="btn btn-primary openmodal" title="Ajouter une nouvelle facture"
                    data-modalurl="{% url 'facture-new' client.pk %}">Nouvelle facture</button
        </div>
    </div>

    {% include 'alarme/client_tabs.html' with active='factures' %}

    <table class="table">
        <thead>
            <th>Date</th><th>Libellé</th><th>Montant</th><th>Transmise à la compta</th>
        </thead>
        <tbody>
        {% for facture in object_list %}
            <tr>
                <td>
                    {% if perms.alarme.change_facture %}
                    <a href="{% url 'facture-edit' client.pk facture.pk %}" class="openmodal"
                       {% if not facture.exporte %}
                       data-deleteurl="{% url 'facture-delete' client.pk facture.pk %}"
                       data-deleteconfirm="Souhaitez-vous vraiment supprimer cette facture ?"
                       {% endif %}>
                    {% endif %}
                       {{ facture.date_facture|date:'d.m.Y' }}
                    {% if perms.alarme.change_facture %}</a>{% endif %}
                </td>
                <td>{{ facture.libelle }}</td>
                <td>{{ facture.montant|unlocalize }}</td>
                <td>{% if facture.exporte %}{{ facture.exporte|date:'d.m.Y' }}
                    {% else %}
                        Non
                        {% if trans_url %}
                        <form method="post" action="{{ trans_url }}" class="inline unmonitor">{% csrf_token %}
                            <input type="hidden" name="fact_id" value="{{ facture.pk }}">
                            <button class="btn btn-primary long-op" type="submit">Transmettre</button>
                        </form>
                        {% endif %}
                    {% endif %}
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    {% include 'pagination.html' %}

{% endblock %}
